BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.HR.ProfileChildren Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.HR.ProfileChildren:

## Properties
Guid? | ChildrenPrefixId`[get, set]`
string? | ChildrenPrefix`[get, set]`
string? | ChildrenFirstName`[get, set]`
string? | ChildrenLastName`[get, set]`
string? | ChildrenCareer`[get, set]`
virtual List< ProfileChildrenHistory > | ProfileChildrenHistorys = new List<ProfileChildrenHistory>()`[get, set]`
Profile? | Profile`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ ChildrenCareer

string? BMA.EHR.Domain.Models.HR.ProfileChildren.ChildrenCareer
| get set

## ◆ ChildrenFirstName

string? BMA.EHR.Domain.Models.HR.ProfileChildren.ChildrenFirstName
| get set

## ◆ ChildrenLastName

string? BMA.EHR.Domain.Models.HR.ProfileChildren.ChildrenLastName
| get set

## ◆ ChildrenPrefix

string? BMA.EHR.Domain.Models.HR.ProfileChildren.ChildrenPrefix
| get set

## ◆ ChildrenPrefixId

Guid? BMA.EHR.Domain.Models.HR.ProfileChildren.ChildrenPrefixId
| get set

## ◆ Profile

Profile? BMA.EHR.Domain.Models.HR.ProfileChildren.Profile
| get set

## ◆ ProfileChildrenHistorys

virtual List<ProfileChildrenHistory> BMA.EHR.Domain.Models.HR.ProfileChildren.ProfileChildrenHistorys = new List<ProfileChildrenHistory>()
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/HR/ProfileChildren.cs